<div class="modal-header">
  <button
    type="button"
    class="close"
    aria-label="Close"
    (click)="activeModal.dismiss('Cross click')"
  >
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body">
  <div class="card-body">
    <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
      <div class="form-group">
        <label for="userName">userName</label>
        <input
          type="text"
          formControlName="userName"
          class="form-control"
          [ngClass]="{ 'is-invalid': submitted && f.userName.errors }"
        />
        <div *ngIf="submitted && f.userName.errors" class="invalid-feedback">
          <div *ngIf="f.userName.errors.required">userName is required</div>
        </div>
      </div>
      <div class="form-group">
        <label for="password">Password</label>
        <input
          type="password"
          formControlName="password"
          class="form-control"
          [ngClass]="{ 'is-invalid': submitted && f.password.errors }"
        />
        <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
          <div *ngIf="f.password.errors.required">Password is required</div>
        </div>
      </div>
      <button [disabled]="loading" class="btn btn-primary">
        <span
          *ngIf="loading"
          class="spinner-border spinner-border-sm mr-1"
        ></span>
        Login
      </button>
      <div *ngIf="error" class="alert alert-danger mt-3 mb-0">
        {{ error }}
      </div>
    </form>
  </div>
</div>
